> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperspell.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Slack Bot Status

> Everything the dashboard card needs to pick its state.



## OpenAPI

````yaml https://app.stainlessapi.com/api/spec/documented/hyperspell.yaml get /admin/slack-bot/status
openapi: 3.1.0
info:
  title: Hyperspell API
  summary: >-
    Hyperspell is the memory layer for AI apps and agents. Through the API, you
    can add memories, connect data sources to index them in real-time, and
    search memories with our natural language query engine.
  termsOfService: https://hyperspell.com/blog/tos
  contact:
    name: Hyperspell
    url: https://hyperspell.com/
    email: hello@hyperspell.com
  version: 0.32.1
servers:
  - url: https://api.hyperspell.com
    description: Production
security:
  - APIKey: []
    AsUser: []
paths:
  /admin/slack-bot/status:
    get:
      tags:
        - Slack Bot
      summary: Slack Bot Status
      description: Everything the dashboard card needs to pick its state.
      operationId: slack_bot_status_admin_slack_bot_status_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SlackBotStatus'
      security:
        - APIKey: []
components:
  schemas:
    SlackBotStatus:
      properties:
        configured:
          type: boolean
          title: Configured
        installed:
          type: boolean
          title: Installed
        viewer_is_owner:
          type: boolean
          title: Viewer Is Owner
          default: false
        workspace_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Workspace Name
        workspace_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Workspace Id
        installed_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Installed At
        healthy:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Healthy
        options:
          additionalProperties: true
          type: object
          title: Options
          default: {}
      type: object
      required:
        - configured
        - installed
      title: SlackBotStatus
  securitySchemes:
    APIKey:
      type: http
      description: >-
        API Key or JWT User Token. If using an API Key, set the X-As-User header
        to act as a specific user. A JWT User Token is always scoped to a
        specific user.
      scheme: bearer
      bearerFormat: Bearer <token>
    AsUser:
      type: apiKey
      description: >-
        Optionally set this header to act as a specific user when using an API
        Key, equivalent to first exchanging the API Key for a User Token
      in: header
      name: X-As-User

````